[android-components](../../../index.md) / [mozilla.components.lib.jexl.lexer](../../index.md) / [Token](../index.md) / [Type](./index.md)

# Type

`enum class Type` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/lib/jexl/src/main/java/mozilla/components/lib/jexl/lexer/Token.kt#L15)

### Enum Values

| Name | Summary |
|---|---|
| [LITERAL](-l-i-t-e-r-a-l.md) |  |
| [IDENTIFIER](-i-d-e-n-t-i-f-i-e-r.md) |  |
| [DOT](-d-o-t.md) |  |
| [OPEN_BRACKET](-o-p-e-n_-b-r-a-c-k-e-t.md) |  |
| [CLOSE_BRACKET](-c-l-o-s-e_-b-r-a-c-k-e-t.md) |  |
| [PIPE](-p-i-p-e.md) |  |
| [OPEN_CURL](-o-p-e-n_-c-u-r-l.md) |  |
| [CLOSE_CURL](-c-l-o-s-e_-c-u-r-l.md) |  |
| [COLON](-c-o-l-o-n.md) |  |
| [COMMA](-c-o-m-m-a.md) |  |
| [OPEN_PAREN](-o-p-e-n_-p-a-r-e-n.md) |  |
| [CLOSE_PAREN](-c-l-o-s-e_-p-a-r-e-n.md) |  |
| [QUESTION](-q-u-e-s-t-i-o-n.md) |  |
| [BINARY_OP](-b-i-n-a-r-y_-o-p.md) |  |
| [UNARY_OP](-u-n-a-r-y_-o-p.md) |  |
